package com.bonus.canteen.core.menu.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

@ApiModel("菜谱计划发布记录列表")
public class MenuRecipeV2PageVO {
   @ApiModelProperty("菜谱id")
   private Long recipeId;
   @ApiModelProperty("菜谱类型")
   private Integer recipeType;
   @ApiModelProperty("菜谱名称")
   private String recipeName;
   @ApiModelProperty("区域id")
   private Long areaId;
   @ApiModelProperty("区域名称")
   private String areaName;
   @ApiModelProperty("食堂id")
   private Long canteenId;
   @ApiModelProperty("食堂名称")
   private String canteenName;
   @ApiModelProperty("档口id")
   private Long stallId;
   @ApiModelProperty("档口名称")
   private String stallName;
   @ApiModelProperty("菜品数量")
   private Integer dishesCount;
   @ApiModelProperty("生效范围id")
   private Long effId;
   @ApiModelProperty("生效范围名称")
   private String effName;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("已排菜日期")
   private List<LocalDate> applyDateList;
   @ApiModelProperty("已排菜日期(月-日)")
   private List<String> applyDateStringList;

   public Long getRecipeId() {
      return this.recipeId;
   }

   public Integer getRecipeType() {
      return this.recipeType;
   }

   public String getRecipeName() {
      return this.recipeName;
   }

   public Long getAreaId() {
      return this.areaId;
   }

   public String getAreaName() {
      return this.areaName;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public String getCanteenName() {
      return this.canteenName;
   }

   public Long getStallId() {
      return this.stallId;
   }

   public String getStallName() {
      return this.stallName;
   }

   public Integer getDishesCount() {
      return this.dishesCount;
   }

   public Long getEffId() {
      return this.effId;
   }

   public String getEffName() {
      return this.effName;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public List<LocalDate> getApplyDateList() {
      return this.applyDateList;
   }

   public List<String> getApplyDateStringList() {
      return this.applyDateStringList;
   }

   public void setRecipeId(final Long recipeId) {
      this.recipeId = recipeId;
   }

   public void setRecipeType(final Integer recipeType) {
      this.recipeType = recipeType;
   }

   public void setRecipeName(final String recipeName) {
      this.recipeName = recipeName;
   }

   public void setAreaId(final Long areaId) {
      this.areaId = areaId;
   }

   public void setAreaName(final String areaName) {
      this.areaName = areaName;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setCanteenName(final String canteenName) {
      this.canteenName = canteenName;
   }

   public void setStallId(final Long stallId) {
      this.stallId = stallId;
   }

   public void setStallName(final String stallName) {
      this.stallName = stallName;
   }

   public void setDishesCount(final Integer dishesCount) {
      this.dishesCount = dishesCount;
   }

   public void setEffId(final Long effId) {
      this.effId = effId;
   }

   public void setEffName(final String effName) {
      this.effName = effName;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setApplyDateList(final List<LocalDate> applyDateList) {
      this.applyDateList = applyDateList;
   }

   public void setApplyDateStringList(final List<String> applyDateStringList) {
      this.applyDateStringList = applyDateStringList;
   }
}
